Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/callbacks/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"callbackId": "<string>",
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>",
"requestContext": {
"source": "WORKFLOWS",
"workflowId": 123,
"actionExecutionIndexIdentifier": {
"actionExecutionIndex": 123,
"enrollmentId": 123
},
"actionId": 123
}
}
]
}
'This response has no body data.Complete a batch of blocked action executions.
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/callbacks/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"callbackId": "<string>",
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>",
"requestContext": {
"source": "WORKFLOWS",
"workflowId": 123,
"actionExecutionIndexIdentifier": {
"actionExecutionIndex": 123,
"enrollmentId": 123
},
"actionId": 123
}
}
]
}
'This response has no body data.Was this page helpful?